--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Destroy the instance, remove it from the repository, bypassing hooks
- !ruby/struct:SM::Flow::P 
  body: "@return [Boolean]"
- !ruby/struct:SM::Flow::VERB 
  body: "  true if resource was destroyed\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Resource#destroy!
is_singleton: false
name: destroy!
params: ()
visibility: public
